CreateSetupIntentRequest

customerId
required
string <uuid>

The unique identifier for the customer record.

externalReferenceId
string

The unique identifier for the setup intent generated by the location or the integration partner.

standingInstructionType
string

The instruction type used by the merchant and sent to the payment processor. Include the standingInstructionType field in the request body to indicate the transaction is a merchant-initiated transaction.

  • INSTALLMENT - The total purchase amount split into a fixed number of payments.

  • RECURRING - A series of set payments charged at regular intervals.

  • UNSCHEDULED - A single merchant-initiated payment.

Enum: "UNSCHEDULED" "INSTALLMENT" "RECURRING"
usage
required
string (Usage)
Default: "ON_SESSION"

Field used to determine what type of transaction the saved card will be set up for.

  • ON_SESSION - Set up and save a payment method to the customer’s record for future customer-initiated transactions.
  • OFF_SESSION - Set up and save a payment method for future merchant-initiated transactions.
Enum: "ON_SESSION" "OFF_SESSION"
{
  • "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
  • "usage": "ON_SESSION",
  • "standingInstructionType": "UNSCHEDULED",
  • "externalReferenceId": "string"
}